Skip to content

getPeople

READ

Get people.

POST /api/v1/people/getPeople
curl -X POST '<your-host>/api/v1/people/getPeople' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "args": {}
  }'
Response
{
  "results": [
    {
      "active": true,
      "avatarUrl": "string",
      "companyId": "string",
      "email": "string",
      "employeeTypeId": "string",
      "firstName": "string",
      "id": "string",
      "lastName": "string",
      "locationId": "string",
      "locationName": "string",
      "name": "string",
      "shiftId": "string",
      "shiftName": "string",
      "status": "string",
      "attributes": {
        "…": {
          "userAttributeValueId": "string",
          "value": "…",
          "dataType": "…",
          "user": {
            "id": "string",
            "fullName": "string",
            "avatarUrl": "string"
          }
        }
      }
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "args": {
      "type": "object",
      "properties": {
        "limit": {
          "type": "integer",
          "default": 100
        },
        "offset": {
          "type": "integer",
          "default": 0
        },
        "search": {
          "type": [
            "string",
            "null"
          ]
        }
      }
    }
  }
}